summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Beierlein <tomjbe@gentoo.org>2018-12-08 11:33:55 +0100
committerThomas Beierlein <tomjbe@gentoo.org>2018-12-08 11:34:44 +0100
commitaa5dfa5e093d5efe5cf22c488b1c94344238cc8a (patch)
tree34aff8a8dfb68e0f8b73764107204ff4ee438e21
parentdev-perl/Data-Diver: Drop myself as maintainer (diff)
downloadgentoo-aa5dfa5e093d5efe5cf22c488b1c94344238cc8a.tar.gz
gentoo-aa5dfa5e093d5efe5cf22c488b1c94344238cc8a.tar.bz2
gentoo-aa5dfa5e093d5efe5cf22c488b1c94344238cc8a.zip
media-radio/xlog: Fix broken .png files
Reported-by: Toralf Förster <toralf@gentoo.org> Closes: https://bugs.gentoo.org/670616 Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Thomas Beierlein <tomjbe@gentoo.org>
-rw-r--r--media-radio/xlog/xlog-2.0.15.ebuild13
1 files changed, 12 insertions, 1 deletions
diff --git a/media-radio/xlog/xlog-2.0.15.ebuild b/media-radio/xlog/xlog-2.0.15.ebuild
index 122b4ea8208..41a2bb14fd6 100644
--- a/media-radio/xlog/xlog-2.0.15.ebuild
+++ b/media-radio/xlog/xlog-2.0.15.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -19,6 +19,7 @@ RDEPEND="media-libs/hamlib
dev-libs/glib:2
x11-libs/gtk+:2"
DEPEND="${RDEPEND}
+ media-libs/libpng:0
sys-devel/gettext
virtual/pkgconfig"
@@ -37,6 +38,16 @@ src_prepare() {
sed -i -e "s:HAMLIB_LIBS@:HAMLIB_LIBS@ -lm:g" src/Makefile.am || die
eautoreconf
+ # Fix broken png files<<
+ einfo "Fixing broken png files."
+ pushd "${S}"/data/doc/manual/output/html
+ for png in xlog-clock.png xlog-dropdown.png xlog-editbox.png; do
+ pngfix -q --out=out.png ${png}
+ mv -f out.png "${png}" || die
+ done
+ popd
+ einfo "done ..."
+
eapply_user
}